html {
    background-color: darkseagreen;
}

#uuid,
#ta,
#pass,
#serial,
#comment,
#lics {
    border: 1px solid gray;
    border-radius: 5px;
}

button {
    border-radius: 5px;
    border: 1px solid gray;
    font-size: 14px;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

button:hover {
    background: rgb(199, 199, 199);
}

#tab {
    background-color: white;
}
#labelmobi,
#labelsam,
#labelvr,
#labelwin {
    padding-left: 10px;
    margin-left: -15px;
}

@media only screen and (orientation: portrait) {
    #uuid {
        width: 100%;
        margin: 10px;
        margin-top: 50px;
        height: 300px;
        font-size: 48px;
    }

    #ta {
        /*background-color: beige;*/
        margin: 10px;
        margin-top: 40px;
        width: 100%;
        height: 150px;
        font-size: 24px;
        display: block;
    }
    #cpdl-cont {
        display: flex;
        margin: 10px;
    }
    #cp {
        flex: 1;
        font-size: 32px;
        margin-right: 20px;
        /*margin: 10px;*/
        height: 120px;
    }

    #dl {
        flex: 1;
        font-size: 32px;
        margin-right: 20px;
        height: 120px;
    }

    #add {
        flex: 1;
        font-size: 32px;
        margin-right: -20px;
        height: 120px;
    }

    #pass,
    #serial,
    #comment {
        width: 100%;
        margin: 10px;
        margin-top: 20px;
        height: 80px;
        font-size: 48px;
    }

    #gen {
        font-size: 32px;
        margin: 10px;
        height: 120px;
        width: 100%;
    }

    #maindiv {
        width: 95%;
        /*font-size: 18px;*/
    }

    #genpass {
        width: 100%;
    }
    #keyarea {
        width: 100%;
    }

    form {
        margin-bottom: 5px;
    }

    #tab {
        margin-top: 60px;
        width: 100%;
        border: 2px solid gray;
    }

    #tab th {
        border: 1px solid gray;
    }

    #tab th:first-child {
        width: 10%;
    }

    #tab th:nth-child(2) {
        width: 50%;
    }

    #tab th:nth-child(3) {
        width: 20%;
    }

    #mobi,
    #sam,
    #vr,
    #win {
        margin: 10px;
        width: 80px;
        height: 40px;
    }

    #labelmobi,
    #labelsam,
    #labelvr,
    #labelwin {
        font-size: 48px;
        font-family: "Courier New", Courier, monospace;
        color: darkslategray;
    }

    #lics {
        resize: vertical;
        max-height: 500px;
        width: 100%;
        overflow: scroll;
        background-color: beige;
        margin: 10px;
        margin-top: 30px;
        font-family: "Courier New", Courier, monospace;
        font-size: 32px;
        color: darkslategray;
    }
    .licsitem {
        border-bottom: 1px solid gray;
        font-family: "Courier New", Courier, monospace;
        font-size: 24px;
        color: darkslategray;
        padding: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        word-break: break-all;
    }
    .licsitem:hover {
        background-color: bisque;
    }
    .licsitem:active {
        background-color: bisque;
    }
}

@media only screen and (orientation: landscape) {
    #uuid {
        width: 100%;
        margin-bottom: 5px;
        height: 50px;
        /*font-size: 16px;*/
    }

    #ta {
        /*background-color: beige;*/
        width: 100%;
        height: 100px;
        display: block;
        margin-bottom: 5px;
    }

    #cp {
        height: 50px;
        width: 100px;
    }

    #dl {
        margin-left: 10px;
        height: 50px;
        width: 100px;
    }

    #add {
        margin-left: 10px;
        height: 50px;
        width: 100px;
    }

    #gen {
        margin-bottom: 10px;
        height: 50px;
        width: 100px;
    }

    #maindiv {
        overflow: visible;
        max-width: 900px;
        padding-right: 10px;
        /*font-size: 18px;*/
    }

    #genpass {
        width: 150px;
    }
    #keyarea {
        width: 100%;
    }
    #pass,
    #serial,
    #comment {
        height: 30px;
        margin-bottom: 5px;
    }

    form {
        margin-bottom: 5px;
    }

    #tab {
        margin-top: 60px;
        width: 100%;
        border: 2px solid gray;
    }

    #tab th {
        border: 1px solid gray;
    }

    #tab th:first-child {
        width: 10%;
    }

    #tab th:nth-child(2) {
        width: 50%;
    }

    #tab th:nth-child(3) {
        width: 20%;
    }

    #mobi,
    #sam,
    #vr,
    #win {
        margin: 10px;
        width: 20px;
        height: 20px;
    }

    #labelmobi,
    #labelsam,
    #labelvr,
    #labelwin {
        /*font-size: 48px;*/
        font-family: "Courier New", Courier, monospace;
        color: darkslategray;
    }

    #lics {
        border: 2px solid gray;
        min-height: 100px;
        max-height: 400px;
        width: 100%;
        overflow: scroll;
        background-color: beige;
        margin-top: 20px;
        margin-bottom: 50px;
        float: left;
        display: block;
        resize: both;
        font-family: "Courier New", Courier, monospace;
        font-size: 14px;
        color: darkslategray;
    }
    .licsitem {
        border-bottom: 1px solid gray;
        font-family: "Courier New", Courier, monospace;
        font-size: 12px;
        color: darkslategray;
        padding: 5px;
        word-break: break-all;
    }
    .licsitem:hover {
        background-color: bisque;
    }
}
